Bug 214049 - keyboard indicator seg fault
Summary: keyboard indicator seg fault
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libxklavier (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 213419
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-05 04:26 UTC by Matthias Clasen
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-10 01:47:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Clasen 2006-11-05 04:26:22 UTC
+++ This bug was initially created as a clone of Bug #213419 +++

Description of problem:
If you add a second keyboard layout (eg: US International), you get a seg fault.

Version-Release number of selected component (if applicable):
gnome-applets-2.16.0.1-10.fc6.i386

How reproducible:
always

Steps to Reproduce:
1. add keyboard indicator to panel
2. right click, keyboard preferences
3. layouts tab -> add
4. select any other keyboard layout (I use US International)
  
Actual results:
Crash dialog

Expected results:
no crash

Additional info:
I see this on my up to date FC6 machine, both i386 and x86_64.  I have applied
the gnome-applets update (ie: 2.16.0.1-10).

-- Additional comment from lapham@jandr.org on 2006-11-01 13:03 EST --
Novell bug that sounds exactly like my problem:
https://bugzilla.novell.com/show_bug.cgi?id=216201

Possible upstream gnome bug:
http://bugzilla.gnome.org/show_bug.cgi?id=351395



-- Additional comment from vflorins@ucr.edu on 2006-11-01 15:46 EST --
Created an attachment (id=140032)
bug report from gnome-keyboard-applet

Confirm bug with gnome-applets-2.16.0.1-10.fc6

-- Additional comment from lapham@jandr.org on 2006-11-04 08:00 EST --
Okay, Sergey found the problem.  It is with libxklavier, not gnome keyboard
indicator.

See this:
http://bugzilla.gnome.org/show_bug.cgi?id=370038

To fix, you need to recompile v3.0 of libxklavier changing line 264:

if (nodes != NULL && nodes->nodeTab != NULL) {
to
if (nodes != NULL && nodes->nodeTab != NULL && nodes->nodeNr > 0) {


-- Additional comment from konstantin.sharlaimov@gmail.com on 2006-11-04 17:56
EST --
There is an src rpm made available (see the
http://bugzilla.gnome.org/show_bug.cgi?id=370038), and I've also created x86_64 rpm.

Comment 1 Matthias Clasen 2006-11-05 04:28:24 UTC
I've built the one line fix for this possible crash in FC6 and rawhide, and I
think we should also take it for RHEL5.

Comment 2 RHEL Product and Program Management 2006-11-05 04:44:13 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.

Comment 3 Matthias Clasen 2006-11-06 17:04:48 UTC
fix is in libxklavier-3.0-2.el, r-e mail sent

Comment 4 Nicole Dai 2006-11-10 01:45:56 UTC
Reproduced a crash with gnome-applets-2.16.0.1-10.el5 and libxklavier-3.0-1.fc6
with the following steps:
1.add keyboard indicator to panel
2.right-click-->keyboard preferences
It crashes immediately.
Retested the following steps with gnome-applets-2.16.0.1-11.el5 and
libxklavier-3.0-1.fc6 on RHEL5-Client-20061108.nightly:
1. add keyboard indicator to panel
2. right click, keyboard preferences
3. layouts tab -> add
4. select any other keyboard layout (Iuse US International and France Alternative)
No crash was found. Verified the crash has been fixed.


Note You need to log in before you can comment on or make changes to this bug.